#!/bin/bash
#MODULE_PREFIX is the name of a module without the version part (e.g. mod-notes)
MODULE_PREFIX=$1
okapi_url=http://localhost:9130/_/proxy/modules
MODULE_NAME=$(curl -X GET -D - -w '\n' ${okapi_url} |  grep "$MODULE_PREFIX-[0-9]\+\.[0-9]\+\.[0-9]\+" | sed -e 's/^.*"id" : "//' -e 's/",\r*\n*//')

if [[ $(echo "$MODULE_NAME" | wc -l) -ne 1 ]]; then
  echo "Expected to find exactly one matching module, instead found $MODULE_NAME"
  read -p "Please enter module name that should be undeployed: "  MODULE_NAME
fi
echo "module to undeploy: $MODULE_NAME"

#
#
okapi_url=http://localhost:9130/_/proxy/tenants/diku/modules/${MODULE_NAME}
curl -X DELETE -D - -w '\n' ${okapi_url}

okapi_url=http://localhost:9130/_/discovery/modules/${MODULE_NAME}
curl -X DELETE -D - -w '\n' ${okapi_url}

okapi_url=http://localhost:9130/_/proxy/modules/${MODULE_NAME}
curl -X DELETE -D - -w '\n' ${okapi_url}
#
#
#
